package cn.com.ty.lift.ud.recruitmentInfos.service;

import java.util.List;

import cn.com.ty.lift.ud.recruitmentInfos.controller.query.RecruitmentInfoQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.recruitmentInfos.mapper.entity.RecruitmentInfoEntity;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * 招聘信息 -Service
 * 
 * @author Xson
 * @date 2020-04-23
 */
public interface IRecruitmentInfoService extends IService<RecruitmentInfoEntity> {

	RestResponse selectByExample(RecruitmentInfoQuery example);
	
    RecruitmentInfoEntity finOneById(Long id);
	
	void updateStatuzByIds(List<Long> ids,Integer status);
	
	void updateHotFlagByIds(List<Long> ids,Integer status);
	
	RestResponse examineById(RecruitmentInfoEntity neDto);
	
	void updateBrowseNum(Long id);
}
